Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.testing
Class ReplicationRegrTest.TestReplicationClient

    java.lang.Object
      rice.p2p.replication.testing.ReplicationRegrTest.TestReplicationClient

All Implemented Interfaces:
  ReplicationClient

Enclosing class:
  ReplicationRegrTest

protected class ReplicationRegrTest.TestReplicationClient
extends java.lang.Object
implements ReplicationClient

DESCRIBE THE CLASS

Version:
  $Id: ReplicationRegrTest.java,v 1.4 2004/08/07 17:18:32 amislove Exp $
Author:
  amislove

Field Summary
`Node` | `node` DESCRIBE THE FIELD
`MemoryStorage` | `storage` DESCRIBE THE FIELD

Constructor Summary
`ReplicationRegrTest.TestReplicationClient(Node node)` Constructor for TestReplicationClient.

Method Summary
`void` | `fetch(IdSet keySet, NodeHandle hint)` This upcall is invoked to notify the application that is should fetch the cooresponding keys in this set, since the node is now responsible for these keys also.
`void` | `insert(Id id)` DESCRIBE THE METHOD
`IdSet` | `scan(IdRange range)` This upcall should return the set of keys that the application currently stores in this range.
`void` | `setRange(IdRange range)` This upcall is to notify the application of the range of keys for which it is responsible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### storage

    public MemoryStorage storage

  DESCRIBE THE FIELD

### node

    public Node node

  DESCRIBE THE FIELD

Constructor Detail

### ReplicationRegrTest.TestReplicationClient

    public ReplicationRegrTest.TestReplicationClient(Node node)

  Constructor for TestReplicationClient.

Parameters:
  `node` - DESCRIBE THE PARAMETER

Method Detail

### setRange

    public void setRange(IdRange range)

  This upcall is to notify the application of the range of keys for which it is responsible. The application might choose to react to call by calling a scan(complement of this range) to the persistance manager and get the keys for which it is not responsible and call delete on the persistance manager for those objects.

  Specified by:
    `setRange` in interface `ReplicationClient`
  Parameters:
    `range` - the range of keys for which the local node is currently responsible

### fetch

    public void fetch(IdSet keySet,
                      NodeHandle hint)

  This upcall is invoked to notify the application that is should fetch the cooresponding keys in this set, since the node is now responsible for these keys also.

  Specified by:
    `fetch` in interface `ReplicationClient`
  Parameters:
    `keySet` - set containing the keys that needs to be fetched
    `hint` - DESCRIBE THE PARAMETER

### scan

    public IdSet scan(IdRange range)

  This upcall should return the set of keys that the application currently stores in this range. Should return a empty IdSet (not null), in the case that no keys belong to this range.

  Specified by:
    `scan` in interface `ReplicationClient`
  Parameters:
    `range` - the requested range
  Returns:
    DESCRIBE THE RETURN VALUE

### insert

    public void insert(Id id)

  DESCRIBE THE METHOD

  Parameters:
    `id` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.